/***********************************************************
Copyright 1990 by Digital Equipment Corporation, Maynard, Massachusetts.

                        All Rights Reserved

Permission to use, copy, modify, and distribute these examples for any
purpose and without fee is hereby granted, provided that the above
copyright notice appear in all copies and that both that copyright
notice and this permission notice appear in supporting documentation,
and that the name of Digital not be used in advertising or publicity
pertaining to distribution of the software without specific, written
prior permission.

DIGITAL AND THE AUTHORS DISCLAIM ALL WARRANTIES WITH REGARD TO THIS
SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND
FITNESS, IN NO EVENT SHALL DIGITAL BE LIABLE FOR ANY SPECIAL, INDIRECT
OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE
OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE
OR PERFORMANCE OF THIS SOFTWARE.

******************************************************************/

/* Make it safe to include this file more than once. */

#ifndef CONFIRMP_H
#define CONFIRMP_H

/* Include the public header file for Confirm */

#include "Confirm1.h"

/* Confirm is derived from Core, so no need to include the superclass
   private header file.  */

/* Define the Confirm instance part */

typedef struct {
  /* New resource fields */
    Dimension		margin;		/* Extra space to leave */
    String		label;		/* Label string */
    String		button_label;	/* Button string */
    XtCallbackList	callback;	/* Callback to execute */
    Widget		label_widget;	/* Label subwidget */
    Widget		button_widget;	/* Pushbutton subwidget */
} ConfirmPart;

/* Define the full instance record */

typedef struct _ConfirmRec {
    CorePart		core;
    ConfirmPart		confirm;
} ConfirmRec;

/* Define class part structure */

typedef struct {
    XtPointer		extension;
} ConfirmClassPart;

/* Define the full class record */


typedef struct _ConfirmClassRec {
    CoreClassPart	core_class;
    ConfirmClassPart	confirm_class;
} ConfirmClassRec, *ConfirmClass;

/* External definition for class record */

extern ConfirmClassRec confirmClassRec;

/* End of preprocessor directives */

#endif /* CONFIRMP_H */

